VERSION 5.00
Begin VB.Form frmStyles 
   Caption         =   "Window Styles!"
   ClientHeight    =   3495
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5550
   Icon            =   "WIN Style.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3495
   ScaleWidth      =   5550
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picBanner 
      Align           =   1  'Align Top
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   615
      Left            =   0
      MouseIcon       =   "WIN Style.frx":0452
      MousePointer    =   99  'Custom
      Picture         =   "WIN Style.frx":0894
      ScaleHeight     =   615
      ScaleWidth      =   5550
      TabIndex        =   2
      Top             =   0
      Width           =   5550
   End
   Begin VB.CheckBox chkUpdateStyle 
      Caption         =   "Update Style"
      Height          =   375
      Left            =   120
      Style           =   1  'Graphical
      TabIndex        =   1
      Top             =   720
      Width           =   1575
   End
   Begin VB.PictureBox picStyled 
      Height          =   2175
      Left            =   120
      ScaleHeight     =   2115
      ScaleWidth      =   5235
      TabIndex        =   0
      Top             =   1200
      Width           =   5295
   End
   Begin VB.Image imgStyle 
      Height          =   480
      Left            =   4920
      Picture         =   "WIN Style.frx":18BD
      Top             =   600
      Width           =   480
   End
End
Attribute VB_Name = "frmStyles"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' Window Style Sample
'
' 6 October 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================



'------------------------------------------------------------------
' Resize the inner window

Private Sub Form_Resize()
  On Error Resume Next
  picStyled.Width = Me.ScaleWidth - 2 * picStyled.Left
  picStyled.Height = Me.ScaleHeight - picStyled.Top - picStyled.Left
End Sub


'------------------------------------------------------------------
' Update the style

Private Sub chkUpdateStyle_Click()
  On Error Resume Next
    WindowStyle(picStyled.hWnd) = WindowStyle(picStyled.hWnd) Xor WS_THICKFRAME  ' BorderStyle = vbSizable
    WindowStyle(picStyled.hWnd) = WindowStyle(picStyled.hWnd) Xor WS_CAPTION     ' Make Caption
    WindowStyle(picStyled.hWnd) = WindowStyle(picStyled.hWnd) Xor WS_SYSMENU     ' System menu in caption
    WindowStyle(picStyled.hWnd) = WindowStyle(picStyled.hWnd) Xor WS_MINIMIZEBOX ' Minimize box enabled
    Call WindowUpdateStyle(picStyled.hWnd)                                       ' Hard refresh
    If Err.Number Then MsgBox Err.Description, vbExclamation, "API-Call: " & Err.Source: Exit Sub
  On Error GoTo 0
  
  ' Make it a free/child form
  If chkUpdateStyle.Value Then
    ' Use API (VB-picturebox doesn't have a caption prop.)
    WindowhWndParent(picStyled.hWnd) = 0
    WindowCaption(picStyled.hWnd) = "A New Form!"
    Call WindowMove(picStyled.hWnd, 20, 20)
  Else
    WindowhWndParent(picStyled.hWnd) = Me.hWnd
    WindowCaption(picStyled.hWnd) = ""
    Call WindowMove(picStyled.hWnd, 8, 80)
    Call Form_Resize
  End If
  Me.picStyled.SetFocus
End Sub




'------------------------------------------------------------------
' Banner

Private Sub picBanner_Click()
  MsgBox "Copyright  2001 - Diederik van der Boor" & vbCrLf _
       & vbCrLf _
       & "Anyone is allowed to use this software freely, as long as" & vbCrLf _
       & "the the copright information in the source code remains intact." & vbCrLf _
       & vbCrLf _
       & "http://www.codingdomain.com"
End Sub

